package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.bus.NoticeRegulatoryUserMapper;
import com.zcloud.service.bus.NoticeRegulatoryUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监管端站内信用户
 * 作者：luoxiaobao
 * 时间：2022-08-23
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class NoticeRegulatoryUserServiceImpl implements NoticeRegulatoryUserService {

	@Autowired
	private NoticeRegulatoryUserMapper noticeregulatoryuserMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		noticeregulatoryuserMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		noticeregulatoryuserMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		noticeregulatoryuserMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return noticeregulatoryuserMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return noticeregulatoryuserMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return noticeregulatoryuserMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		noticeregulatoryuserMapper.deleteAll(ArrayDATA_IDS);
	}
	/**修改 阅读状态
	 * @param pd
	 * @throws Exception
	 */
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void editStateByNotIdAndUserId(PageData pd)throws Exception{
		noticeregulatoryuserMapper.editStateByNotIdAndUserId(pd);
	}

}

